
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

require 'rails_helper'

RSpec.describe StatisticsController, type: :controller do

  describe "GET #count_learning_objects" do
    it "returns http success" do
      get :count_learning_objects
      expect(response).to have_http_status(:success)
    end
  end

  describe "GET #month_publications" do
    it "returns http success" do
      get :month_publications
      expect(response).to have_http_status(:success)
    end
  end

  describe "GET #month_downloads" do
    it "returns http success" do
      get :month_downloads
      expect(response).to have_http_status(:success)
    end
  end

end
