class CreateProgresses < ActiveRecord::Migration[6.0]
  def change
    create_table :progresses do |t|
      t.references :user, foreign_key: true
      t.references :requirement, foreign_key: true
      t.integer :counter, default: 0

      t.timestamps
    end
    add_index :progresses, [:user_id, :requirement_id], unique: true, name: 'user_requirement_index'
  end
end
